IAcSmProjectPointLocations

提供:GizmoLabs - だいたい CAD LISP なサイト
2022年8月8日 (月) 06:15時点におけるGizmon (トーク | 投稿記録)による版 (ページの作成:「{{BCAD_LISP}} Sheet ProjectPointLocations のインターフェース。 使用可能なメソッド (setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocum…」)
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)

Sheet ProjectPointLocations のインターフェース。


使用可能なメソッド

(setq cad (vlax-get-acad-object))
(setq doc (vla-get-ActiveDocument cad))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq iter (vlax-invoke-method smdb 'GetEnumerator))
(setq ppLocations (scanUntilObject iter "AcSmProjectPointLocations"))
  • メモ:
(scanUntilObject)" は "<LDSP>/SheetSetManager-Lisp-API/LISP Sample Code" フォルダのサンプル Lisp ファイルに含まれるユーティリティ関数。


項目 内容
GetLocation 指定された場所の名前に対応する IAcSmProjectPointLocation ロケーションオブジェクトを返す。
(vlax-invoke-method ppLocations 'GetLocation "NewLocation" 'location)
HRESULT GetLocation ([in] BSTR locationName, [out] IAcSmProjectPointLocation** location)
RemoveLocation 指定された IAcSmProjectPointLocation オブジェクトをこのコレクションから削除する。
(vlax-invoke-method ppLocations 'RemoveLocation 'ppLoc)

HRESULT RemoveLocation ([in] IAcSmProjectPointLocation* location)
AddNewLocation 指定された位置をこのコレクションに追加し、作成された IAcSmProjectPointLocation オブジェクトを返す。
(vlax-invoke-method ppLocations 'AddNewLocation "NewLocation" "www.newlocation.org" "c:\\anyfolder" "username" "password" 'ppLoc)

HRESULT AddNewLocation ([in] BSTR name, [in] BSTR url, [in] BSTR folder, [in] BSTR username, [in] BSTR password, [out] IAcSmProjectPointLocation** location)
GetEnumerator このコレクションに含まれる IAcSmEnumProjectPointLocation オブジェクトの列挙子を返す。
(setq iter (vlax-invoke-method ppLocations 'GetEnumerator))

HRESULT GetEnumerator ([out, retval] IAcSmEnumProjectPointLocation** enumerator)
GetLocation 指定された場所の名前に対応する IAcSmProjectPointLocation ロケーションオブジェクトを返す。
(vlax-invoke-method ppLocations 'GetLocation "NewLocation" 'location)

HRESULT GetLocation ([in] BSTR locationName, [out] IAcSmProjectPointLocation** location)
RemoveLocation 指定された IAcSmProjectPointLocation オブジェクトをこのコレクションから削除する。
(vlax-invoke-method ppLocations 'RemoveLocation 'ppLoc)

HRESULT RemoveLocation ([in] IAcSmProjectPointLocation* location)
AddNewLocation 指定された位置をこのコレクションに追加し、作成された IAcSmProjectPointLocation オブジェクトを返す。
(vlax-invoke-method ppLocations 'AddNewLocation "NewLocation" "www.newlocation.org" "c:\\anyfolder" "username" "password" 'ppLoc)

HRESULT AddNewLocation ([in] BSTR name, [in] BSTR url, [in] BSTR folder, [in] BSTR username, [in] BSTR password, [out] IAcSmProjectPointLocation** location)
GetEnumerator このコレクションに含まれる IAcSmEnumProjectPointLocation オブジェクトの列挙子を返す。
(setq iter (vlax-invoke-method ppLocations 'GetEnumerator))

HRESULT GetEnumerator ([out, retval] IAcSmEnumProjectPointLocation** enumerator)